Subject: FVWM: Getting pixmap buttons to fill available space

From: Nathan J Froyd <[email-masked]>
Date: Thu, 8 Jul 1999 23:21:20 -0500 (EST)

The curse of a descriptive subject: there's not really much more to say.
:)

But to phrase it carefully: If I have a pixmap button that I want to fill
the entire allocated button area, how do I do that? I am running fvwm
2.2.2 and my ButtonStyles are Flat. I have MWMBorder and MWMButtons set in
my Style lines and fvwm still insists on placing an unnecessary one or two
pixel relief area around the button (although the button is larger than
the space available; fvwm only provides the "buffer" on the top and left
sides).

Any advice? I know this can be done, I'm just not sure how. Thanks!

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 9 Jul 1999 12:55:55 +0200

> Any advice? I know this can be done, I'm just not sure how. Thanks!

I think this will require a patch.  Although tremendously complicated
the ButtonStyle code isn't very flexible yet.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: multiman <[email-masked]>
Date: Fri, 09 Jul 1999 17:54:20 -0400 (EDT)

Is it possible to change the position of the geometry window
that displays during moves and resizes? Say to the center of 
the display. What about the color?
I did not see any mention about it in the man page. I am using
2.2.2

TIA
Garth

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 10 Jul 1999 01:24:15 +0200

> the display. What about the color?

The position can be changed indirectly via the 'Emulate' command:

  Emulate MWM

puts the feedback window in the center of the screen. In the
future this command may do more thigs like presetting styles
or menu styles. But right it has only this effect.

The colours can be changed with the DefaultColors command. These
affect most other colour pairs too (unless you have explicitly
set them).

Bye

Dominik ^_^

---

From: Nathan Froyd <[email-masked]>
Date: Sun, 11 Jul 1999 22:57:56 -0500 (EST)

> the ButtonStyle code isn't very flexible yet.

Actually, I accomplished it with the following:

ButtonStyle 2 ActiveUp Pixmap e-buttons/kill_normal.xpm -- Top Right Flat
TitleStyle LeftJustified Height 18 -- Top Left Flat

And similarly for the other buttons. I have no idea what the 'Top'
directives do...but it works!
-- 
Nathan  |  [email-masked]  |  http://www.rose-hulman.edu/~froydnj/

Evolution is a million line computer program falling into place by accident.